# $Revision: 1.151.2.19 $, $Date: 2008/08/26 21:35:07 $
# TODO:
# - postgresql support alongside mysql
# - NMM audio backend support (fix build - propably some BRs)
# - make descriptions less useless
# - track http://websvn.kde.org/trunk/extragear/multimedia/amarok/TODO?rev=470324&r1=470292&r2=470324
# - include /usr/bin/amarok_proxy.rb (proxy server for last.fm, but req. ruby)
# - main package pulls /usr/bin/ruby
# - monitor http://bugs.kde.org/show_bug.cgi?id=137390 to remove the temporary fix
# - ProjectM (see README)
# - karma & MFS (see README)
#
# Conditional builds:
%bcond_with	gstreamer	# enable gstreamer (gst10 not stable)
%bcond_without	mas		# disable MAS audio backend
%bcond_without	xine		# disable xine engine
%bcond_without	zeroconf	# disable support for zeroconf
%bcond_without	included_sqlite # don't use included sqlite (VERY BAD IDEA), needs sqlite >= 3.3 otherwise
%bcond_without	helix		# disable HelixPlayer engine
%bcond_without	mp3players	# disable iPod and iRiver MP3 players support
%bcond_with	nmm		# enable NMM audio backend
%bcond_with	mysql		# enable MySQL support
%bcond_with	pgsql		# enable PostgreSQL support
#
%ifarch i386
%undefine	with_helix
%endif

Summary:	A KDE audio player
Summary(pl.UTF-8):	Odtwarzacz audio dla KDE
Name:		amarok
Version:	1.4.10
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	ftp://ftp.kde.org/pub/kde/stable/amarok/%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	3bdbf26181bf5e5925f48968caba7ac2
Patch0:		%{name}-helixplayer-morearchs.patch
Patch1:		%{name}-libnjb.patch
Patch2:		%{name}-smp.patch
Patch3:		%{name}-sparc.patch
Patch4:		kde-ac260-lt.patch
Patch5:		kde-common-PLD.patch
Patch6:		%{name}-gcc4.patch
Patch7:		%{name}-titleorder.patch
Patch8:		%{name}-mongrel.patch
URL:		http://amarok.kde.org/
BuildRequires:	SDL-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
%{?with_gstreamer:BuildRequires:	gstreamer-devel >= 0.10.0}
BuildRequires:	kdebase-devel
%{?with_akode:BuildRequires:	kdemultimedia-akode}
BuildRequires:	kdemultimedia-devel >= 9:3.1.93
%{?with_mp3players:BuildRequires:	libgpod-devel >= 0.6.0}
%{?with_mp3players:BuildRequires:	libifp-devel >= 1.0.0.2}
BuildRequires:	libltdl-devel
%{?with_mp3players:BuildRequires:	libmtp-devel >= 0.1.1}
%{?with_mp3players:BuildRequires:	libnjb-devel >= 2.2.4}
%{?with_pgsql:BuildRequires:		libpqxx-devel}
BuildRequires:	libtunepimp-devel >= 0.5.1-6
BuildRequires:	libvisual-devel >= 0.4.0
BuildRequires:	mpeg4ip-devel >= 1:1.5
%{?with_mysql:BuildRequires:		mysql-devel}
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	ruby-devel >= 1.8
BuildRequires:	sed >= 4.0
%{!?with_included_sqlite:BuildRequires:	sqlite3-devel >= 3.3}
BuildRequires:	taglib-devel >= 1.4
%{?with_xine:BuildRequires:	xine-lib-devel >= 1.1.1}
Requires(post):	/sbin/ldconfig
Requires:	%{name}-plugin = %{version}-%{release}
Requires:	kdebase-core >= 9:3.1.93
Requires:	kdelibs-libs >= 9:3.5.9
Requires:	kdemultimedia-audiocd >= 9:3.1.93
Requires:	ruby-mongrel
Suggests:	libvisual-plugin-actor-JESS
Suggests:	libvisual-plugin-actor-bumpscope
Suggests:	libvisual-plugin-actor-corona
Suggests:	libvisual-plugin-actor-flower
Suggests:	libvisual-plugin-actor-gdkpixbuf
Suggests:	libvisual-plugin-actor-gforce
Suggests:	libvisual-plugin-actor-infinite
Suggests:	libvisual-plugin-actor-jakdaw
Suggests:	libvisual-plugin-actor-lv_analyzer
Suggests:	libvisual-plugin-actor-lv_gltest
Suggests:	libvisual-plugin-actor-lv_scope
Suggests:	libvisual-plugin-actor-madspin
Suggests:	libvisual-plugin-actor-nastyfft
Suggests:	libvisual-plugin-actor-oinksie
Suggests:	libvisual-plugin-input-alsa
Suggests:	libvisual-plugin-input-esd
Suggests:	libvisual-plugin-input-jack
Suggests:	libvisual-plugin-input-mplayer
Suggests:	libvisual-plugin-morph-alphablend
Suggests:	libvisual-plugin-morph-flash
Suggests:	libvisual-plugin-morph-slide
Suggests:	libvisual-plugin-morph-tentacle
Suggests:	python-PyKDE
Obsoletes:	amarok-arts
Obsoletes:	amarok-xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# temporary hack for proper libgpod::itdb_get_mountpoint() detection.
%define		filterout_ld	-Wl,--as-needed

%description
A KDE audio player.

%description -l pl.UTF-8
Odtwarzacz audio dla KDE.

%package akode
Summary:	Plugin akode
Summary(pl.UTF-8):	Wtyczka akode
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-plugin = %{version}-%{release}

%description akode
Plugin akode.

%description akode -l pl.UTF-8
Wtyczka akode.

%package helix
Summary:	Helix/Realplayer playback support for amarok
Summary(pl.UTF-8):	Wsparcie dla odtwarzania przez Helix/Realplayera dla amaroka
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	helix-core
Provides:	%{name}-plugin = %{version}-%{release}

%description helix
Helix/Realplayer playback support for amarok.

%description helix -l pl.UTF-8
Wsparcie dla odtwarzania przez Helix/Realplayera dla amaroka.

%package gstreamer
Summary:	Plugin gstreamer
Summary(pl.UTF-8):	Wtyczka gstreamer
Group:		X11/Applications/Multimedia
# deps, to get it working:
# mp3 decoder:	gstreamer-mad
# ogg decoder:	gstreamer-vorbis
# audio output driver:	gstreamer-audiosink-alsa
# from gstreamer-audio-effects to control volume, etc
# needed libs:
#  at least /usr/lib/gstreamer-0.8/libgstresample.so
#  probably /usr/lib/gstreamer-0.8/libgstadder.so
#  and probably /usr/lib/gstreamer-0.8/libgstvolume.so
# gstreamer-musicbrainz for being able to edit id3 tags on files.
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer-audio-effects
Requires:	gstreamer-audiosink
Requires:	gstreamer-mad
Requires:	gstreamer-musicbrainz
Requires:	gstreamer-vorbis
Provides:	%{name}-plugin = %{version}-%{release}

%description gstreamer
Plugin gstreamer.

%description gstreamer -l pl.UTF-8
Wtyczka gstreamer.

%package xine
Summary:	Plugin xine
Summary(pl.UTF-8):	Wtyczka xine
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	xine-plugin-audio
Provides:	%{name}-plugin = %{version}-%{release}

%description xine
Plugin xine.

%description xine -l pl.UTF-8
Wtyczka xine.

%package zeroconf
Summary:	Zeroconf data
Summary(pl.UTF-8):	Dane dla zeroconf
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	kdenetwork-kdnssd
Provides:	%{name}-plugin = %{version}-%{release}

%description zeroconf
Zeroconf data.

%description zeroconf -l pl.UTF-8
Dane dla zeroconf.

%package scripts
Summary:	amaroK scripts
Summary(pl.UTF-8):	Skrypty amaroKa
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	kdebase-kdialog
Requires:	python-PyQt
Requires:	ruby-modules

%description scripts
amaroK scripts allow you extend amaroK functionality.

You can learn more about scripts in amaroK from here:
<http://amarok.kde.org/amarokwiki/index.php/Script-Writing_HowTo>.

%description scripts -l pl.UTF-8
Skrypty amaroKa pozwalające rozszerzać jego funkcjonalność.

Więcej o skryptach w amaroKu można dowiedzieć się stąd:
<http://amarok.kde.org/amarokwiki/index.php/Script-Writing_HowTo>.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;AudioVideo;Player;/' \
	amarok/src/amarok.desktop \

# see kde bug #110909
%{__sed} -i -e 's/amarok_live//' amarok/src/scripts/Makefile.am

# kill env, call interpreter directly, so rpm automatics could rule
%{__sed} -i -e '
	1s,#!.*bin/env.*ruby,#!%{_bindir}/ruby,
	1s,#!.*bin/env.*python,#!%{__python},
' amarok/src/scripts/*/*.{py,rb} amarok/src/amarok_proxy.rb

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

# hack: passing something other than "no" or "yes" to --with-helix allows
# us to pass HELIX_LIBS
%configure \
	HELIX_LIBS=%{_libdir}/helixplayer \
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--disable-rpath \
	--with%{!?with_mas:out}-mas \
	--with%{!?with_xine:out}-xine \
	--with%{!?with_gstreamer:out}-gstreamer10 \
	--with%{!?with_akode:out}-akode \
	--with%{!?with_helix:out}-helix%{?with_helix:=usegivenpath} \
	--with%{!?with_nmm:out}-nmm \
	--with%{!?with_mp3players:out}-libgpod \
	--with%{!?with_mp3players:out}-libnjb \
	--with%{!?with_mp3players:out}-libmtp \
	--with%{!?with_mp3players:out}-ifp \
	--%{?with_mysql:en}%{!?with_mysql:dis}able-mysql \
	--%{?with_mysql:en}%{!?with_mysql:dis}able-postgresql \
	--disable-final \
	--with-mp4v2 \
	--with-qt-libraries=%{_libdir} \
	--with%{!?with_included_sqlite:out}-included-sqlite

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	ruby_rubylibdir=%{ruby_rubylibdir} \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

# remove bogus dir
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/xx

rm $RPM_BUILD_ROOT%{_libdir}/kde3/*.la
rm $RPM_BUILD_ROOT%{_libdir}/libamarok.{so,la}

%find_lang amarok --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%files -f amarok.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/amarok
%attr(755,root,root) %{_bindir}/amarokapp
%attr(755,root,root) %{_bindir}/amarokcollectionscanner
%attr(755,root,root) %{_bindir}/amarok_libvisual
# used by last.fm and daap
%attr(755,root,root) %{_bindir}/amarok_proxy.rb
# used by daap
%attr(755,root,root) %{_bindir}/amarok_daapserver.rb
%attr(755,root,root) %{_libdir}/libamarok.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libamarok.so.0
%attr(755,root,root) %{_libdir}/kde3/konqsidebar_universalamarok.so
%attr(755,root,root) %{_libdir}/kde3/libamarok_generic-mediadevice.so
%attr(755,root,root) %{_libdir}/kde3/libamarok_void-engine_plugin.so
%attr(755,root,root) %{_libdir}/kde3/libamarok_daap-mediadevice.so
%attr(755,root,root) %{_libdir}/kde3/libamarok_massstorage-device.so
%attr(755,root,root) %{_libdir}/kde3/libamarok_nfs-device.so
%attr(755,root,root) %{_libdir}/kde3/libamarok_smb-device.so
%dir %{_datadir}/apps/amarok
%dir %{_datadir}/apps/amarok/scripts
%{_datadir}/apps/amarok/*.rc
%{_datadir}/apps/amarok/data
%{_datadir}/apps/amarok/icons
%{_datadir}/apps/amarok/images
%{_datadir}/apps/amarok/themes
%{_datadir}/apps/konqueror/servicemenus/amarok_append.desktop
%{_datadir}/apps/konqueror/servicemenus/amarok_addaspodcast.desktop
%{_datadir}/apps/konqueror/servicemenus/amarok_play_audiocd.desktop
%{_datadir}/apps/konqsidebartng/add/amarok.desktop
%{_datadir}/apps/konqsidebartng/entries/amarok.desktop
%{_datadir}/apps/konqsidebartng/kicker_entries/amarok.desktop
%{_datadir}/apps/profiles/amarok.profile.xml
%{_datadir}/config/amarokrc
%{_datadir}/config.kcfg/amarok.kcfg
%{_datadir}/services/amarok_generic-mediadevice.desktop
%{_datadir}/services/amarok_void-engine_plugin.desktop
%{_datadir}/services/amarok_daap-mediadevice.desktop
%{_datadir}/services/amarok_massstorage-device.desktop
%{_datadir}/services/amarok_nfs-device.desktop
%{_datadir}/services/amarok_smb-device.desktop
%{_datadir}/services/amaroklastfm.protocol
%{_datadir}/services/amarokitpc.protocol
%{_datadir}/services/amarokpcast.protocol
%{_datadir}/servicetypes/amarok_codecinstall.desktop
%{_datadir}/servicetypes/amarok_plugin.desktop
%{_desktopdir}/kde/amarok.desktop
%{_iconsdir}/*/*/apps/amarok.*

# TODO: move to subpackage
%dir %{ruby_rubylibdir}/amarok
# used by daap
%{ruby_rubylibdir}/amarok/codes.rb
# used by daap and lyrics_lyrc
%{ruby_rubylibdir}/amarok/debug.rb

# TODO: move to subpackage
%if %{with mp3players}
%attr(755,root,root) %{_libdir}/kde3/libamarok_ifp-mediadevice.so
%attr(755,root,root) %{_libdir}/kde3/libamarok_ipod-mediadevice.so
%attr(755,root,root) %{_libdir}/kde3/libamarok_mtp-mediadevice.so
%attr(755,root,root) %{_libdir}/kde3/libamarok_njb-mediadevice.so
%{_datadir}/services/amarok_ifp-mediadevice.desktop
%{_datadir}/services/amarok_ipod-mediadevice.desktop
%{_datadir}/services/amarok_mtp-mediadevice.desktop
%{_datadir}/services/amarok_njb-mediadevice.desktop
%endif

%if %{with akode}
%files akode
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/libamarok_aKode-engine.so
%{_datadir}/services/amarok_aKode-engine.desktop
%endif

%if %{with gstreamer}
%files gstreamer
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/libamarok_gst10engine_plugin.so
%{_datadir}/config.kcfg/gstconfig.kcfg
%{_datadir}/services/amarok_gst10engine_plugin.desktop
%endif

%if %{with helix}
%files helix
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/libamarok_helixengine_plugin.so
%{_datadir}/config.kcfg/helixconfig.kcfg
%{_datadir}/services/amarok_helixengine_plugin.desktop
%endif

%if %{with xine}
%files xine
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/libamarok_xine-engine.so
%{_datadir}/config.kcfg/xinecfg.kcfg
%{_datadir}/services/amarok_xine-engine.desktop
%endif

%if 0
%if %{with zeroconf}
%files zeroconf
%defattr(644,root,root,755)
#%{_datadir}/apps/zeroconf/_shoutcast._tcp
%endif
%endif

%files scripts
%defattr(644,root,root,755)
%dir %{_datadir}/apps/amarok/scripts/common
%{_datadir}/apps/amarok/scripts/common/Publisher.py
%{_datadir}/apps/amarok/scripts/common/Zeroconf.py

%dir %{_datadir}/apps/amarok/scripts/templates
%{_datadir}/apps/amarok/scripts/templates/amarok.rb
%{_datadir}/apps/amarok/scripts/templates/python_qt_template.py
%{_datadir}/apps/amarok/scripts/templates/ruby_qt_template.rb

# amarok searches for executable programs for scripts
# to figure out which files need to have execute permission, use this
# find command:
# $ find $RPM_BUILD_ROOT/usr/share/apps/amarok/scripts -perm +1

#%dir %{_datadir}/apps/amarok/scripts/graphequalizer
#%{_datadir}/apps/amarok/scripts/graphequalizer/README
#%attr(755,root,root) %{_datadir}/apps/amarok/scripts/graphequalizer/graphequalizer

%dir %{_datadir}/apps/amarok/scripts/playlist2html
%{_datadir}/apps/amarok/scripts/playlist2html/README
%{_datadir}/apps/amarok/scripts/playlist2html/Playlist.py
%attr(755,root,root) %{_datadir}/apps/amarok/scripts/playlist2html/PlaylistServer.py
%attr(755,root,root) %{_datadir}/apps/amarok/scripts/playlist2html/playlist2html.py
%{_datadir}/apps/amarok/scripts/playlist2html/PlaylistServer.spec
%{_datadir}/apps/amarok/scripts/playlist2html/playlist2html.spec


%dir %{_datadir}/apps/amarok/scripts/webcontrol
%{_datadir}/apps/amarok/scripts/webcontrol/README
%{_datadir}/apps/amarok/scripts/webcontrol/Globals.py
%{_datadir}/apps/amarok/scripts/webcontrol/Playlist.py
%{_datadir}/apps/amarok/scripts/webcontrol/RequestHandler.py
%{_datadir}/apps/amarok/scripts/webcontrol/amarok_cut.png
%{_datadir}/apps/amarok/scripts/webcontrol/controlbackground.png
%{_datadir}/apps/amarok/scripts/webcontrol/main.css
%{_datadir}/apps/amarok/scripts/webcontrol/main.js
%{_datadir}/apps/amarok/scripts/webcontrol/player_end.png
%{_datadir}/apps/amarok/scripts/webcontrol/player_pause.png
%{_datadir}/apps/amarok/scripts/webcontrol/player_play.png
%{_datadir}/apps/amarok/scripts/webcontrol/player_start.png
%{_datadir}/apps/amarok/scripts/webcontrol/player_stop.png
%{_datadir}/apps/amarok/scripts/webcontrol/template.thtml
%{_datadir}/apps/amarok/scripts/webcontrol/vol_speaker.png
%{_datadir}/apps/amarok/scripts/webcontrol/WebPublisher.py
%{_datadir}/apps/amarok/scripts/webcontrol/WebControl.spec
%{_datadir}/apps/amarok/scripts/webcontrol/smallstar.png
%{_datadir}/apps/amarok/scripts/webcontrol/star.png
%attr(755,root,root) %{_datadir}/apps/amarok/scripts/webcontrol/WebControl.py

%dir %{_datadir}/apps/amarok/scripts/lyrics_astraweb
%{_datadir}/apps/amarok/scripts/lyrics_astraweb/COPYING
%{_datadir}/apps/amarok/scripts/lyrics_astraweb/README
%attr(755,root,root) %{_datadir}/apps/amarok/scripts/lyrics_astraweb/lyrics_astraweb.rb
%{_datadir}/apps/amarok/scripts/lyrics_astraweb/lyrics_astraweb.spec

%dir %{_datadir}/apps/amarok/scripts/lyrics_lyrc
%{_datadir}/apps/amarok/scripts/lyrics_lyrc/COPYING
%{_datadir}/apps/amarok/scripts/lyrics_lyrc/README
%attr(755,root,root) %{_datadir}/apps/amarok/scripts/lyrics_lyrc/lyrics_lyrc.rb
%{_datadir}/apps/amarok/scripts/lyrics_lyrc/lyrics_lyrc.spec

%dir %{_datadir}/apps/amarok/scripts/score_default
%{_datadir}/apps/amarok/scripts/score_default/COPYING
%{_datadir}/apps/amarok/scripts/score_default/README
%attr(755,root,root) %{_datadir}/apps/amarok/scripts/score_default/score_default.rb
%{_datadir}/apps/amarok/scripts/score_default/score_default.spec
%dir %{_datadir}/apps/amarok/scripts/score_impulsive
%{_datadir}/apps/amarok/scripts/score_impulsive/COPYING
%{_datadir}/apps/amarok/scripts/score_impulsive/README
%attr(755,root,root) %{_datadir}/apps/amarok/scripts/score_impulsive/score_impulsive.rb
%{_datadir}/apps/amarok/scripts/score_impulsive/score_impulsive.spec

%if 0
%dir %{_datadir}/apps/amarok/scripts/amarok_live
%{_datadir}/apps/amarok/scripts/amarok_live/README
%{_datadir}/apps/amarok/scripts/amarok_live/amarok.live.remaster.part1.sh
%{_datadir}/apps/amarok/scripts/amarok_live/amarok.live.remaster.part2.sh
%attr(755,root,root) %{_datadir}/apps/amarok/scripts/amarok_live/amarok_live.py
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: amarok.spec,v $
Revision 1.151.2.19  2008/08/26 21:35:07  glen
- 1.4.10

Revision 1.151.2.18  2008/05/24 07:36:45  adamg
- don't suggest libvisual-plugin-actor-gstreamer, there is no such package
  in Ac - libvisual-plugins.spec would have to be rebuilt against
  gstreamer-0.8.x, and we already use gstreamer-0.10.x
- release 3

Revision 1.151.2.17  2008-05-05 14:46:02  glen
- R: kdelibs with .so loader; rel 2

Revision 1.151.2.16  2008-05-04 10:07:49  glen
- use system mongrel
- move ruby files to ruby dirs

Revision 1.151.2.15  2008-05-03 16:07:24  glen
- merged 1.4.9.1 from HEAD

Revision 1.151.2.14  2008-02-24 23:15:17  glen
- release 2

Revision 1.151.2.13  2008-02-20 19:40:10  glen
- update to 1.4.8 from HEAD

Revision 1.151.2.12  2007/08/17 06:03:06  adamg
- updated to 1.4.7

Revision 1.151.2.11  2007/06/25 16:31:44  glen
- updated to 1.4.6

Revision 1.151.2.10  2007/03/18 13:52:36  glen
- rel 5 (curl rebuild)

Revision 1.151.2.9  2007/03/18 00:30:35  glen
- rel 4 (curl)

Revision 1.151.2.8  2007/02/15 21:17:15  glen
- rel 3 (fixes hung on setaffinity on smp); rel 3

Revision 1.151.2.7  2007/02/15 18:11:27  glen
- -smp patch is back, fixes lockup on my amd64/dualcore

Revision 1.151.2.6  2007/02/12 19:58:26  glen
- src/vis/xmms dropped (i don't see it in sources and didn't got any reasonable answer in #amarok); rel 2

Revision 1.151.2.5  2007/02/09 00:05:05  glen
- rel 1

Revision 1.151.2.4  2007/02/08 22:02:23  glen
- official tarball

Revision 1.151.2.3  2007/02/08 21:57:33  glen
- xmms not built...

Revision 1.151.2.2  2007/02/03 12:31:00  glen
- 1.4.5 (temporary tarball)
- updated deps from README

Revision 1.151.2.1  2007/01/22 21:05:24  glen
- rel 8: libdns_sd.so.1 in noautoreqdep

Revision 1.151  2006/12/26 21:09:57  glen
- the .la files are needed for amarok to find engines; rel 7

Revision 1.150  2006/12/22 01:21:15  shadzik
- rel 6 for rebuild

Revision 1.149  2006/12/19 20:30:53  pluto
- drop *.la, release 5.1.

Revision 1.148  2006/12/12 18:59:59  pluto
- gcc4 fix.

Revision 1.147  2006/12/01 16:59:30  glen
- rel 5

Revision 1.146  2006/11/16 22:04:37  hawk
- added sparc compilation fix (from czarny)
- release 4

Revision 1.145  2006/11/16 17:27:06  shadzik
- rel 3

Revision 1.144  2006/11/16 15:24:22  czarny
- smp fix temprary patch
- todo added

Revision 1.143  2006/11/03 22:09:40  hawk
- release 2

Revision 1.142  2006/11/03 12:29:47  glen
- add kde-common-PLD.patch

Revision 1.141  2006/11/02 14:23:31  shadzik
- 1.4.4
- more %files

Revision 1.140  2006/10/26 16:32:12  shadzik
- rel 3 to rebuild with new libmtp
- STBR

Revision 1.139  2006/10/12 08:01:06  hawk
- release 2

Revision 1.138  2006/10/04 18:43:56  pluto
- remove upper-bound of libgpod BR.
  -Wl,--as-needed just breaks itdb_get_mountpoint() detection.

Revision 1.137  2006/10/03 22:00:21  pluto
- fix ac260-lt issue, req. proper libtunepim-devel-0.5.x.

Revision 1.136  2006/09/12 04:46:15  ankry
- tabs

Revision 1.135  2006/09/10 13:00:54  paszczus
- added BR: libgpod-devel < 0.3.1

Revision 1.134  2006/09/05 19:50:23  paszczus
- turn ON building with mp3players support
- added mtp device files

Revision 1.133  2006/09/05 19:46:21  djurban
- fix the xmms bcond

Revision 1.132  2006/09/05 17:21:37  shadzik
- 1.4.3

Revision 1.131  2006/09/01 15:38:52  glen
- restore libvisual plugins notice into %post (broken in r1.112)

Revision 1.130  2006/09/01 14:57:45  glen
- update TODO

Revision 1.129  2006/08/29 13:37:00  paszczus
- added BR: libmtp-devel to mp3players section

Revision 1.128  2006/08/24 17:43:28  wolf
- merged from DEVEL
- mp3players disabled, libgpod is broken

Revision 1.127  2006/08/23 20:29:14  wolf
- 1.4.2, not finished

Revision 1.126  2006/08/22 12:02:43  glen
- doesn't compile with tunepimp 0.5.1

Revision 1.125  2006/08/19 12:43:17  wolf
- rel 2

Revision 1.124  2006/08/12 08:28:10  ankry
- formatting

Revision 1.123  2006/07/27 19:33:48  glen
- write the same in computer language

Revision 1.122  2006/07/27 19:33:10  glen
- sqlite 3.3.x has chance being used from system

Revision 1.121  2006/07/04 15:01:20  charles
- moved libamarok_njb-mediadevice.* to "with mp3players section"; sorted
- packed lastfm.protocol and amarok_codecinstall.desktop
- updated TODO

Revision 1.120  2006/07/03 07:38:01  shadzik
- up to 1.4.1 stable

Revision 1.119  2006/06/20 17:42:43  paszczus
- added score_{default,impulsive} scripts, added desktop file for njb

Revision 1.118  2006/06/20 10:45:24  paszczus
- added amarok-libnjb.patch
- added njb_mediadevice files

Revision 1.117  2006/06/20 09:44:55  paszczus
- libnjb could not be used

Revision 1.116  2006/06/20 09:39:19  paszczus
- damn, another typo

Revision 1.115  2006/06/20 09:37:39  paszczus
- typo

Revision 1.114  2006/06/20 09:36:58  paszczus
- added BR: libnjb-devel to build Creative NOMAD Jukebox support
- added ruby-devel which is REQUIRED to build amaroK!
- unifications

Revision 1.113  2006/06/19 06:27:03  shadzik
- up to 1.4.1-beta1
- enabled visualizations with libvisual >= 0.4.0
- sed -> %{__sed}

Revision 1.112  2006/06/06 11:11:34  qboosh
- Obsoletes: amarok-arts
- not ready for libvisual > 0.2 - disable it

Revision 1.111  2006/06/05 16:37:48  glen
- merged 1.4.0a from DEVEL

Revision 1.110  2006/04/04 02:17:53  charles
- BR: pkgconfig

Revision 1.109  2006/04/03 18:36:41  rotom
- up to 1.3.9

Revision 1.108  2006/03/07 18:35:10  qboosh
- strict R: is enough, no need for Conflicts

Revision 1.107  2006/03/07 17:57:59  adgor
- Separated xmms wrapper to omit gtk+ & xmms-libs reqs for main package
- Release 2; STBR for AC

Revision 1.106.2.26  2006/05/28 11:45:53  maciek2w
- update to 1.4.0a
- fix updating from 1.3 - users would lose their collection data

Revision 1.106.2.25  2006/05/24 06:56:11  paszczus
- release 1

Revision 1.106.2.24  2006/05/21 18:29:16  glen
- amarok_libvisual not present here

Revision 1.106.2.23  2006/05/18 22:17:21  glen
- blah, don't hash (doesn't work anyway), just reverse the bcond

Revision 1.106.2.22  2006/05/18 21:41:36  shadzik
- gstreamer10 engine still not stable in this realese, so hashed out
- vfat-mediadevice -> generic-mediadevice
- graphequalizer is no longer in the tarball
- 2 new files in scripts/webcontrol
- rel 0.2

Revision 1.106.2.21  2006/05/18 07:17:41  darekr
- typo in release

Revision 1.106.2.20  2006/05/18 07:08:40  paszczus
- adaptarized

Revision 1.106.2.19  2006/05/17 22:00:57  shadzik
- oops :/

Revision 1.106.2.18  2006/05/17 21:59:43  shadzik
- up to 1.4.0; not tested

Revision 1.106.2.17  2006/04/26 20:55:05  glen
- drop altlyrics patch, lyrics are scriptable now

Revision 1.106.2.16  2006/04/26 20:54:04  glen
- inline sed to have scripts proper interpreter

Revision 1.106.2.15  2006/04/26 20:43:17  glen
- fix -scripts, cleanups

Revision 1.106.2.14  2006/04/15 09:45:41  paszczus
- updated to 1.4beta3c

Revision 1.106.2.13  2006/03/24 10:11:13  wiget
- release 0.%{_beta}.2

Revision 1.106.2.12  2006/03/16 15:13:10  paszczus
- gstreamer10 power

Revision 1.106.2.11  2006/03/10 17:31:22  paszczus
- added files for iRiver to -mp3players

Revision 1.106.2.10  2006/03/10 15:50:20  paszczus
- using xine-lib >= 1.1.1 version

Revision 1.106.2.9  2006/03/10 15:15:57  paszczus
- since 1.4beta2 there is no arts and gstreamer 0.8 plugin

Revision 1.106.2.8  2006/03/09 21:11:14  paszczus
- BR: gstreamer-devel is enought

Revision 1.106.2.7  2006/03/09 19:56:11  paszczus
- started update to 1.4beta2
- merged changes from HEAD (separated xmms module)
- BR gstreamer-plugins-devel 0.10.0 instead of 0.8.6

Revision 1.106.2.6  2006/02/14 16:46:55  glen
- reverted kde bug -- it's not resolved (it was ignored instead)

Revision 1.106.2.5  2006/02/14 15:29:30  charles
- BR: pkgconfig
- killed hack for kde bug #110909 (Status: RESOLVED)
- updated %files for mp3players bcond, sorted
- post,postun /sbin/ldconfig

Revision 1.106.2.4  2006/02/13 19:42:45  paszczus
- added few more scripts

Revision 1.106.2.3  2006/02/13 19:00:38  paszczus
- added more files
- almost finished ; works fine!

Revision 1.106.2.2  2006/02/13 18:15:23  paszczus
- more BRs and files

Revision 1.106.2.1  2006/02/13 16:28:56  paszczus
- started update to 1.4-beta1
- added iPod and iRiver IFP support
- added MP4/AAC tag write support
- removed libtunepimp patch (included in sources)
- adaptarized

Revision 1.106  2006/01/24 16:25:40  charles
- BR: gettext-devel, sorted, cleanups

Revision 1.105  2006/01/17 11:59:00  paszczus
- release 1
- STBR

Revision 1.104  2006/01/16 18:57:01  paszczus
- updated to 1.3.8

Revision 1.103  2005/12/16 19:31:09  adgor
- Do not produce empty package

Revision 1.102  2005/12/14 13:19:07  qboosh
- release 2

Revision 1.101  2005/12/14 13:18:17  qboosh
- no helixplayer on i386

Revision 1.100  2005/12/14 13:16:27  qboosh
- added helixplayer-morearchs patch (fixes build on alpha and possibly others)
- use configure hack to stop BRing helixplayer

Revision 1.99  2005/12/13 20:57:43  paszczus
- build with helix by default (helixplayer is in ac-ready now)
- release 1 (this is the most stable version of amarok that i ever use)

Revision 1.98  2005/12/08 22:43:43  qboosh
- nchc.dl is not browsable

Revision 1.97  2005/12/08 22:38:41  paszczus
- updated to 1.3.7
- commented out _shoutcast and shouter scripts
- release 0.1

Revision 1.96  2005/12/01 12:49:22  deejay1
- fixed dead link for scripting HOWTO

Revision 1.95  2005/11/29 21:11:24  paszczus
- %patch2 in proper place ; release 3 ; STBR

Revision 1.94  2005/11/29 12:52:30  arekm
- rel 2

Revision 1.93  2005/11/17 12:29:27  pluto
- patch2 added.

Revision 1.92  2005/11/17 12:20:09  pluto
- BR: libtunepimp-devel instead of libmusicbrainz-devel.
- work with new libtunepimp, release 1.1.

Revision 1.91  2005/11/08 20:49:21  paszczus
- updated to 1.3.6 (bugfixes release)

Revision 1.90  2005/11/01 22:05:09  paszczus
- ok, there is no RealPlayer (helix-core) in ac, so --without helix by default

Revision 1.89  2005/11/01 21:59:02  paszczus
- --with helix by default ; adaptarized

Revision 1.88  2005/11/01 16:05:12  djurban
- add helix engine, rel.4

Revision 1.87  2005/11/01 14:12:33  djurban
- remove seocnd ac/am regenration, makefile.cvs is enough

Revision 1.86  2005/10/29 18:05:27  deejay1
- added amarok-desktop.patch, which fixes a wrong mimetype definition
- rel. 3

Revision 1.85  2005/10/25 19:32:14  paszczus
- fixed %doc ; release 2

Revision 1.84  2005/10/25 18:58:36  paszczus
- updated to 1.3.5

Revision 1.83  2005/10/18 14:37:52  glen
- add --enable-debug=full for debugging

Revision 1.82  2005/10/18 08:39:37  glen
- there's no such option as disnable ;)

Revision 1.81  2005/10/18 08:37:31  glen
- disable system sqlite by default as
  11:18:57 < leinir> This is why the system-sqlite option says "DO NOT USE" in large, friendly letters on the cover ;)

Revision 1.80  2005/10/17 21:23:24  djurban
- postgresql bcond, some other fixes and cleanups fixing helix

Revision 1.79  2005/10/16 19:26:42  glen
- cosmetic

Revision 1.78  2005/10/13 22:01:06  paszczus
- unifications

Revision 1.77  2005/10/13 21:59:27  prism
- added bcond for sqlite, so we can use the included lib version, which
  makes the creation of new collection possible (PLD version is too new)
- release 2

Revision 1.76  2005/10/13 19:41:06  pluto
- more todo.

Revision 1.75  2005/10/10 14:55:42  paszczus
- updated to 1.3.3

Revision 1.74  2005/09/21 20:43:38  paszczus
- sorted BRs
- sorted Rs
- typo

Revision 1.73  2005/09/21 12:39:41  paszczus
- updated to 1.3.2

Revision 1.72  2005/09/12 17:45:44  glen
- rel 2

Revision 1.71  2005/09/09 07:28:38  paszczus
- release 1 ; STBR

Revision 1.70  2005/09/06 23:28:13  glen
- fixed %files of script package

Revision 1.69  2005/09/06 08:03:52  paszczus
- updated to 1.3.1
- removed Patch1: playlistbrowseritem.h (included in sources)
- renumbered patches
- release 0.1

Revision 1.68  2005/09/03 15:39:40  glen
- this spec can be adapterized again (pythonprov isn't obsolete)

Revision 1.67  2005/08/19 12:24:48  glen
- remove amarok_live script (symlink attack vulnreable)

Revision 1.66  2005/08/17 20:45:20  qboosh
- pl for -scripts

Revision 1.65  2005/08/17 16:32:11  glen
- rel +0.1 for new bcond

Revision 1.64  2005/08/17 14:18:00  glen
- altlyrics bcond

Revision 1.63  2005/08/17 12:22:36  glen
- faster and better lyrics url (my own wrapper)

Revision 1.62  2005/08/16 20:17:26  glen
- python-PyQt for -scripts

Revision 1.61  2005/08/16 19:49:12  glen
- kdialog mostly needed for -scripts

Revision 1.60  2005/08/16 18:16:27  glen
- annoy me once with those libvisual-garbages-*

Revision 1.59  2005/08/16 18:03:17  glen
- add fix for bug #97297
- separate scripts to subpackage

Revision 1.58  2005/08/15 22:18:37  glen
- prevent adapterization

Revision 1.57  2005/08/15 17:37:03  qboosh
- pl fix
- PreReq is no more - plain Requires should suffice here

Revision 1.56  2005/08/15 17:07:16  glen
- add back BR: rpm-pyhtonprov (paszczus god dammit read the changelog!)

Revision 1.55  2005/08/15 16:14:06  arekm
- merged from DEVEL

Revision 1.54  2005/07/01 00:20:09  glen
- update akode bcond description from changelog

Revision 1.53  2005/06/06 22:57:54  glen
- R(xine-plugin-audio) for -xine

Revision 1.52  2005/05/22 16:42:06  glen
- 1.2.4

Revision 1.51  2005/05/11 07:26:51  glen
- add deps for -gstreamer to get it really running without need to understand all the internals of gstreamer!

Revision 1.50  2005/04/30 11:32:40  glen
- comment about gstreamer dep

Revision 1.49  2005/04/30 10:44:13  glen
- add R: gstreamer-audio-effects on -gstreamer

Revision 1.48  2005/04/02 13:43:08  darekr
- unified

Revision 1.47  2005/03/31 21:36:48  paszczus
- updated to 1.2.3

Revision 1.46  2005/03/25 22:55:20  zawadaa
- up to 1.2.2

Revision 1.45  2005/03/25 18:24:22  darekr
- typo in BRs

Revision 1.44  2005/03/14 14:06:13  havner
- rel up for new flac

Revision 1.43  2005/03/08 14:48:41  wolf
- BR kdemultimedia-akode

Revision 1.42  2005/03/02 06:51:16  paszczus
- added BR: SDL-devel (pointed out by Tomasz Kowalczyk

Revision 1.41  2005/03/01 22:36:00  paszczus
- commented one file ; should build now

Revision 1.40  2005/03/01 22:14:24  paszczus
- updated to 1.2.1

Revision 1.39  2005/02/14 23:09:47  paszczus
- updated to FINAL 1.2 (merged from DEVEL)
- STBR

Revision 1.35.2.17  2005/02/13 19:47:54  paszczus
- updated to FINAL 1.2
- STBR

Revision 1.35.2.16  2005/02/02 22:46:46  adgor
- Missing files
- TODO: separate konqueror part
- Still sucks

Revision 1.35.2.15  2005/02/02 20:52:13  adgor
- No unsermake

Revision 1.35.2.14  2005/02/01 21:22:54  paszczus
- updated to 1.2.beta4

Revision 1.35.2.13  2005/01/17 10:20:14  paszczus
- removed R: libvisual-plugins
- added info about libvisual-plugins-* in %post
- visualizations in amarok now works fine (with libvisual-plugins@DEVEL)

Revision 1.35.2.12  2005/01/17 09:41:51  paszczus
- added R: libvisual-plugins

Revision 1.35.2.11  2005/01/09 23:25:58  paszczus
- added R: kdemultimedia-audiocd (for support AudioCD in amarok)

Revision 1.35.2.10  2005/01/09 14:39:45  paszczus
- updated to 1.2beta3
- updated BR: taglib >= 1.3.1
- changed BR: s/gstreamer-devel/gstreamer-plugins-devel/
- added 2 files to %files

Revision 1.35.2.9  2004/12/31 14:27:01  paszczus
- added BR: kdebase-devel ; now it builds

Revision 1.35.2.8  2004/12/10 14:20:11  paszczus
- updated to 1.2-beta2

Revision 1.35.2.7  2004/11/29 06:48:00  domelu
- remove duplucated BR: mysql-devel

Revision 1.35.2.6  2004/11/28 20:27:01  averne
- oooops, sorry

Revision 1.35.2.5  2004/11/28 18:40:50  averne
- added MySql support

Revision 1.35.2.4  2004/11/28 12:15:16  paszczus
- BR: libvisual-devel >= 0.2.0 ; amarok_libvisual is back in %files

Revision 1.35.2.3  2004/11/28 10:47:37  paszczus
- commented out amarok_libvisual from %files, but not sure of this...

Revision 1.35.2.2  2004/11/27 12:23:53  paszczus
- amarok now support mysql, so BR: mysql-devel (thx domelu)

Revision 1.35.2.1  2004/11/27 11:35:31  paszczus
- updated to 1.2-beta1
- release 0.1; test build please

Revision 1.36  2004/11/27 11:32:55  paszczus
- updated to 1.2-beta1

Revision 1.35.2.42  2005/08/15 15:31:26  paszczus
- added --with-nmm to configure

Revision 1.35.2.41  2005/08/15 15:08:05  paszczus
- s/helixplayer/helix/g in bcond

Revision 1.35.2.40  2005/08/15 11:02:58  paszczus
- spaces -> tabs

Revision 1.35.2.39  2005/08/15 11:00:34  paszczus
- updated to 1.3
- release 1 ; ready to merge to HEAD

Revision 1.35.2.38  2005/08/11 06:27:26  paszczus
- updated TODO

Revision 1.35.2.37  2005/08/10 12:21:50  glen
- fix with mas bcond on configure

Revision 1.35.2.36  2005/08/10 12:21:11  glen
- add xinecfg.kcfg to xine package

Revision 1.35.2.35  2005/08/10 11:07:17  paszczus
- added MAS support be default
- added helixplayer and nnm bcond off by default (not build)

Revision 1.35.2.34  2005/08/10 10:10:03  paszczus
- little cleanup

Revision 1.35.2.33  2005/08/09 21:24:10  glen
- FUCK!. merge akode bcond from HEAD

Revision 1.35.2.32  2005/08/09 17:01:41  paszczus
- commented out akode support:
  SVN commit 423723 by markey:
  Disable akode engine. It (the engine) and/or akode is buggy and only implements a small subset
  of our features. We're getting tons of bug reports for it. So that's it.

Revision 1.35.2.31  2005/08/09 14:32:04  paszczus
- updated to 1.3beta3
- removed BR: rpm-pythonprov
- updated BR: taglib-devel >= 1.4

Revision 1.35.2.30  2005/07/24 01:42:41  glen
- lang files back (why these were disabled?)

Revision 1.35.2.29  2005/07/24 01:20:58  glen
- subpackages PreReq main package to prevent dependency loop detected by poldek

Revision 1.35.2.28  2005/07/03 20:13:04  glen
- more todo

Revision 1.35.2.27  2005/07/03 20:09:02  glen
- BR: rpm-pythonprov because of:
  error: Couldn't exec /usr/lib/rpm/pythondeps.sh: No such file or directory
  getOutputFrom(): Broken pipe
  Error: package build failed. (no more info)

Revision 1.35.2.26  2005/07/03 14:06:57  glen
- there's some HelixPlayer engine since beta1

Revision 1.35.2.25  2005/06/29 20:57:23  averne
- up to 1.3beta2

Revision 1.35.2.24  2005/06/27 13:55:54  paszczus
- updated to 1.3beta2

Revision 1.35.2.23  2005/06/12 22:20:37  paszczus
- added BR: libltdl-devel

Revision 1.35.2.22  2005/06/06 18:34:21  paszczus
- fixed %doc

Revision 1.35.2.21  2005/06/06 14:55:56  paszczus
- updated to 1.3-beta1
- cleanups

Revision 1.35.2.20  2005/05/25 13:47:00  djurban
- also note that i added zeroconf data package to amarok in the last commit

Revision 1.35.2.19  2005/05/25 13:46:17  djurban
- updated to 050525
- the biggest new feature is: http://amarok.kde.org/blog/uploads/browser1.png
  a total rewrite of smart playlists, now they are ultracool :)

Revision 1.35.2.18  2005/05/03 17:33:18  djurban
- update to 050503 snap
- new todo (add more engines and postgresql support)

Revision 1.50  2005/04/30 11:32:40  glen
- comment about gstreamer dep

Revision 1.49  2005/04/30 10:44:13  glen
- add R: gstreamer-audio-effects on -gstreamer

Revision 1.48  2005/04/02 13:43:08  darekr
- unified

Revision 1.47  2005/03/31 21:36:48  paszczus
- updated t o 1.2.3

Revision 1.46  2005/03/25 22:55:20  zawadaa
- up to 1.2.2

Revision 1.45  2005/03/25 18:24:22  darekr
- typo in BRs

Revision 1.44  2005/03/14 14:06:13  havner
- rel up for new flac

Revision 1.43  2005/03/08 14:48:41  wolf
- BR kdemultimedia-akode

Revision 1.42  2005/03/02 06:51:16  paszczus
- added BR: SDL-devel (pointed out by Tomasz Kowalczyk

Revision 1.41  2005/03/01 22:36:00  paszczus
- commented one file ; should build now

Revision 1.40  2005/03/01 22:14:24  paszczus
- updated to 1.2.1

Revision 1.39  2005/02/14 23:09:47  paszczus
- updated to FINAL 1.2 (merged from DEVEL)
- STBR

Revision 1.35.2.17  2005/02/13 19:47:54  paszczus
- updated to FINAL 1.2
- STBR

Revision 1.35.2.16  2005/02/02 22:46:46  adgor
- Missing files
- TODO: separate konqueror part
- Still sucks

Revision 1.35.2.15  2005/02/02 20:52:13  adgor
- No unsermake

Revision 1.35.2.14  2005/02/01 21:22:54  paszczus
- updated to 1.2.beta4

Revision 1.35.2.13  2005/01/17 10:20:14  paszczus
- removed R: libvisual-plugins
- added info about libvisual-plugins-* in %post
- visualizations in amarok now works fine (with libvisual-plugins@DEVEL)

Revision 1.35.2.12  2005/01/17 09:41:51  paszczus
- added R: libvisual-plugins

Revision 1.35.2.11  2005/01/09 23:25:58  paszczus
- added R: kdemultimedia-audiocd (for support AudioCD in amarok)

Revision 1.35.2.10  2005/01/09 14:39:45  paszczus
- updated to 1.2beta3
- updated BR: taglib >= 1.3.1
- changed BR: s/gstreamer-devel/gstreamer-plugins-devel/
- added 2 files to %files

Revision 1.35.2.9  2004/12/31 14:27:01  paszczus
- added BR: kdebase-devel ; now it builds

Revision 1.35.2.8  2004/12/10 14:20:11  paszczus
- updated to 1.2-beta2

Revision 1.35.2.7  2004/11/29 06:48:00  domelu
- remove duplucated BR: mysql-devel

Revision 1.35.2.6  2004/11/28 20:27:01  averne
- oooops, sorry

Revision 1.35.2.5  2004/11/28 18:40:50  averne
- added MySql support

Revision 1.35.2.4  2004/11/28 12:15:16  paszczus
- BR: libvisual-devel >= 0.2.0 ; amarok_libvisual is back in %files

Revision 1.35.2.3  2004/11/28 10:47:37  paszczus
- commented out amarok_libvisual from %files, but not sure of this...

Revision 1.35.2.2  2004/11/27 12:23:53  paszczus
- amarok now support mysql, so BR: mysql-devel (thx domelu)

Revision 1.35.2.1  2004/11/27 11:35:31  paszczus
- updated to 1.2-beta1
- release 0.1 ; test build please

Revision 1.36  2004/11/27 11:32:55  paszczus
- updated to 1.2-beta1

Revision 1.35  2004/11/10 10:11:42  ankry
- remove bogus locale, rel. 3

Revision 1.34  2004/11/01 23:54:56  qboosh
- simplified prep, sorted BRs

Revision 1.33  2004/11/01 23:24:46  havner
- arts subpackage added
- link with system sqlite3
- rel 2

Revision 1.32  2004/11/01 21:25:56  havner
- TODO added
- try to use system sqlite

Revision 1.31  2004/11/01 21:21:24  havner
- merged some things from DEVEL (xine plugin and bcond)
- commented out kdebindings-kjsembed-devel BR since there is no
  kdebindings in AC yet
- fixed %files
- rel 1 (should be finished, works for me)

Revision 1.30  2004/11/01 19:11:11  havner
- s/sqlite 3/sqlite3-devel/
- gozda, check if it's really needed

Revision 1.29  2004/11/01 16:56:42  adgor
- "Player" category

Revision 1.28  2004/10/24 15:31:02  gozda
- Update to 1.1.1 (NFY) 0.1 rel

Revision 1.27  2004/08/29 11:29:15  domelu
- cosmetics

Revision 1.26  2004/08/28 19:50:35  darekr
- fix URL

Revision 1.25  2004/08/22 20:48:42  ankry
- rel. 2 to rebuild

Revision 1.24  2004/07/28 17:04:54  paszczus
- little cleanups

Revision 1.23  2004/07/07 19:51:03  averne
- updated to 1.0.1
- rel 1

Revision 1.22  2004/06/26 11:57:42  djurban
- rel. 2 -> ac with gstreamer

Revision 1.21  2004/06/25 16:13:31  qboosh
- typo, cosmetics

Revision 1.20  2004/06/25 10:35:04  kolodko
- added subpackage gstreamer
- added %doc

Revision 1.19  2004/06/24 17:32:55  kolodko
- added alsa-lib-devel -> BR

Revision 1.18  2004/06/17 15:08:10  djurban
- no gstreamer here, so fixed only the docs/locale

Revision 1.17  2004/06/17 10:57:27  wiget
- added TODO

Revision 1.16  2004/06/17 08:12:01  paszczus
- updated to FINAL 1.0
- removed packager
- release 1 (build and work)

Revision 1.15  2004/06/12 18:14:47  djurban
- finished update

Revision 1.14  2004/06/12 18:03:05  djurban
- new snap 040612, changed the dir on ep09

Revision 1.13  2004/05/16 20:38:13  adgor
- Cosmetics

Revision 1.12  2004/05/13 10:24:38  djurban
- fix lang

Revision 1.11  2004/05/13 10:11:51  djurban
- without xmms bcond

Revision 1.10  2004/05/11 23:23:22  adgor
- Typo
- BR unsermake >= 040511

Revision 1.9  2004/05/11 22:37:04  adgor
- Updated to 040511 snap (1.0 beta 3 or sth near here)
- Sucks a bit fewer

Revision 1.8  2004/02/22 18:27:21  undefine
- adapterized, release 1

Revision 1.7  2004/02/22 18:11:27  undefine
- more BR, builds...

Revision 1.6  2004/02/22 17:24:18  undefine
- starting upgrade to 0.8.3

Revision 1.5  2004/01/11 00:27:18  eothane
- proper ep09 address

Revision 1.4  2003/11/20 17:22:24  qboosh
- added URL, noted Source0 URL for releases

Revision 1.3  2003/11/19 21:30:42  adgor
- BR: rpmbuild(macros) >= 1.129

Revision 1.2  2003/11/19 21:25:04  adgor
- 031119

Revision 1.1  2003/11/07 12:10:31  adgor
- Initial
